UDEV_MONITOR_RECEIVE_DEVICE(3)

NAME
udev_monitor_receive_device, udev_monitor_enable_receiving, udev_monitor_set_receive_buffer_size, udev_monitor_get_fd, udev_monitor_get_udev - Query and modify device monitor

SYNOPSIS

#include <libudev.h>

struct udev_device *udev_monitor_receive_device(struct udev_monitor *udev_monitor);

int udev_monitor_enable_receiving(struct udev_monitor *udev_monitor);

int udev_monitor_set_receive_buffer_size(struct udev_monitor *udev_monitor, int size);

int udev_monitor_get_fd(struct udev_monitor *udev_monitor);

struct udev *udev_monitor_get_udev(struct udev_monitor *udev_monitor);

RETURN VALUE

On success, udev_monitor_receive_device() returns a pointer to a newly referenced device that was received via the monitor. The caller is responsible to drop this reference when done. On failure, NULL is returned.

On success, udev_monitor_enable_receiving() and udev_monitor_set_receive_buffer_size() return an integer greater than, or equal to, 0. On failure, a negative error code is returned.

On success, udev_monitor_get_fd() returns the file descriptor used by this monitor. On failure, a negative error code is returned.

udev_monitor_get_udev() always returns a pointer to the udev context that this monitor is associated with.

SEE ALSO

udev_new(3), udev_device_new_from_syspath(3), udev_enumerate_new(3), udev_monitor_new_from_netlink(3), udev_monitor_filter_update(3), udev_list_entry(3), systemd(1),